#
# spec file for package screencast
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           screencast
Version:        0.2.4
Release:        lp150.1.1
Summary:        A simple screencasting application
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            https://launchpad.net/eidete
Source:         https://github.com/artemanufrij/screencast/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  vala
BuildRequires:  pkgconfig(appindicator3-0.1)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
Recommends:     %{name}-lang
Provides:       eidete = %{version}
Obsoletes:      eidete < %{version}
%glib2_gsettings_schema_requires

%description
A simple screencasting application for the elementary OS.

Current features:
  * encoding to webm
  * selection of the area to be recorded
  * display of the pressed keys
  * audio recording

%lang_package

%prep
%setup -q

sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')

%build
%cmake \
   -DGSETTINGS_COMPILE=OFF
make %{?_smp_mflags}

%install
%cmake_install

rm %{buildroot}%{_datadir}/icons/hicolor/*.??g

%suse_update_desktop_file -r com.github.artemanufrij.screencast GTK AudioVideo Video Recorder
%find_lang com.github.artemanufrij.screencast %{name}.lang
%fdupes %{buildroot}%{_datadir}

%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%doc debian/copyright README.md
%{_bindir}/com.github.artemanufrij.screencast
%{_datadir}/appdata/com.github.artemanufrij.screencast.appdata.xml
%{_datadir}/applications/com.github.artemanufrij.screencast.desktop
%{_datadir}/glib-2.0/schemas/com.github.artemanufrij.screencast.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.artemanufrij.screencast.??g

%files lang -f %{name}.lang

%changelog
* Sat Apr  7 2018 avvissu@yandex.by
- Update to 0.2.4:
  * don't hide control window
  * removed douplicate line
  * Update README.md
  * Update lt.po
  * Serbian localization
* Sat Mar 17 2018 avvissu@yandex.by
- Update to 0.2.3:
  * fixed top margin for record controls
  * move indicator function
  * Merge pull request #31 from GitHaarek/patch-1
  * http to https and url fixes
  * pot + German
* Fri Mar  9 2018 avvissu@yandex.by
- Update to 0.2.2:
  * Update com.github.artemanufrij.screencast.appdata.xml
  * Update com.github.artemanufrij.screencast.desktop
  * Tweak the capitalisation of some sentences
  * Improve .desktop comment and generic name slightly
  * Update lt.po
  * fixed es.po
  * fix instand recording from plank
  * fixed area recording
  * Update README.md
  * new pot file
  * code style
  * removed unused this.hide ();
  * application behavior
  * small improvements
  * pause on focus
- Add appindicator dependency
* Wed Nov  8 2017 avvissu@yandex.by
- Update to 0.1.9:
  * [FIX] Don't create a subfolder on every launch
  * Recording microphone and desktop sounds at the same time
  * Updated German Translation
  * Added gschema.xml-file
- Switch from bzr to git
- Rename the package: eidete -> screencast
- Spec file cleanup
* Sat Feb 27 2016 mailaender@opensuse.org
- initial packaging (version 0.2+r201) for build.opensuse.org
